<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="farmaceutica">
        <h2 class="jh-entity-heading" data-cy="farmaceuticaDetailsHeading">
          <span v-text="$t('gatewayApp.pacientesFarmaceutica.detail.title')">Farmaceutica</span> {{ farmaceutica.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.pacientesFarmaceutica.nombre')">Nombre</span>
          </dt>
          <dd>
            <span>{{ farmaceutica.nombre }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesFarmaceutica.direccion')">Direccion</span>
          </dt>
          <dd>
            <span>{{ farmaceutica.direccion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.pacientesFarmaceutica.propietario')">Propietario</span>
          </dt>
          <dd>
            <span>{{ farmaceutica.propietario }}</span>
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="farmaceutica.id"
          :to="{ name: 'FarmaceuticaEdit', params: { farmaceuticaId: farmaceutica.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./farmaceutica-details.component.ts"></script>
